# Uses of Interface
org.eclipse.ecf.filetransfer.IRemoteFileSystemRequest

Packages that use IRemoteFileSystemRequest
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.provider.filetransfer.browse
org.eclipse.ecf.provider.filetransfer.httpclient4
org.eclipse.ecf.provider.filetransfer.httpclient45
org.eclipse.ecf.provider.filetransfer.httpclient5

## Uses of IRemoteFileSystemRequest in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer that return IRemoteFileSystemRequest
Modifier and Type
Method
Description
`IRemoteFileSystemRequest`
IRemoteFileSystemBrowserContainerAdapter.`sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener)`
Send a request for file or directory information for given directoryOrFileID.

## Uses of IRemoteFileSystemRequest in org.eclipse.ecf.provider.filetransfer.browse

Classes in org.eclipse.ecf.provider.filetransfer.browse that implement IRemoteFileSystemRequest
Modifier and Type
Class
Description
`class`
`AbstractFileSystemBrowser.RemoteFileSystemRequest`
Methods in org.eclipse.ecf.provider.filetransfer.browse that return IRemoteFileSystemRequest
Modifier and Type
Method
Description
`protected IRemoteFileSystemRequest`
AbstractFileSystemBrowser.`createRemoteFileSystemRequest()`
`IRemoteFileSystemRequest`
AbstractFileSystemBrowser.DirectoryJob.`getRequest()`
`IRemoteFileSystemRequest`
AbstractFileSystemBrowser.`sendBrowseRequest()`
`IRemoteFileSystemRequest`
MultiProtocolFileSystemBrowserAdapter.`sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener)`
Methods in org.eclipse.ecf.provider.filetransfer.browse with parameters of type IRemoteFileSystemRequest
Modifier and Type
Method
Description
`void`
AbstractFileSystemBrowser.DirectoryJob.`setRequest(IRemoteFileSystemRequest request)`

## Uses of IRemoteFileSystemRequest in org.eclipse.ecf.provider.filetransfer.httpclient4

Methods in org.eclipse.ecf.provider.filetransfer.httpclient4 that return IRemoteFileSystemRequest
Modifier and Type
Method
Description
`protected IRemoteFileSystemRequest`
HttpClientFileSystemBrowser.`createRemoteFileSystemRequest()`

## Uses of IRemoteFileSystemRequest in org.eclipse.ecf.provider.filetransfer.httpclient45

Methods in org.eclipse.ecf.provider.filetransfer.httpclient45 that return IRemoteFileSystemRequest
Modifier and Type
Method
Description
`protected IRemoteFileSystemRequest`
HttpClientFileSystemBrowser.`createRemoteFileSystemRequest()`

## Uses of IRemoteFileSystemRequest in org.eclipse.ecf.provider.filetransfer.httpclient5

Methods in org.eclipse.ecf.provider.filetransfer.httpclient5 that return IRemoteFileSystemRequest
Modifier and Type
Method
Description
`protected IRemoteFileSystemRequest`
HttpClientFileSystemBrowser.`createRemoteFileSystemRequest()`